#
# spec file for package sendmail (Version 8.14.3)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           sendmail
BuildRequires:  mailx openldap2-devel procmail tcpd-devel vacation
%if %suse_version < 1030
BuildRequires:  db-devel
%else
BuildRequires:  libdb-4_5-devel
%endif
Url:            http://www.sendmail.org/
%define         SUBDIRS libsmutil libsmdb sendmail mail.local mailstats makemap praliases rmail smrsh libmilter libsm editmap
License:        PERMISSIVE-OSI-COMPLIANT
Group:          Productivity/Networking/Email/Servers
PreReq:         %fillup_prereq %insserv_prereq
PreReq:         /bin/mv /bin/rm /bin/sed
Provides:       sendcf smailcfg smtp_daemon sendmail-tls
Requires:       filesystem procmail netcfg m4 /bin/fuser
Conflicts:      smail postfix postfix-tls
Obsoletes:      sendmail-tls
AutoReqProv:    on
Version:        8.14.3
Release:        51.5.1
Summary:        BSD Sendmail
#Source0:       ftp://ftp.sendmail.org/pub/sendmail/sendmail.%{version}.tar.bz2
Source0:        sendmail-%{version}.tar.bz2
Source1:        FAQ.sendmail-8.14.bz2
Source2:        sendmail-rpmlintrc
Patch0:         sendmail-%{version}.dif
Patch1:         sendmail-8.13.5-select.dif
Patch22:        sendmail-8.14.3-largeDNS.dif
Patch23:        sendmail-8.14.3-tls-null-char-cert.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%global         _sysconfdir	%{_sysconfdir}
%global         _mailcnfdir	%{_sysconfdir}/mail
%global         _localstatedir  %{_localstatedir}

%description
The "Unix System Administration Handbook" calls sendmail "The most
complex and complete mail delivery system in common use..." .

Ready-made configuration files are included for systems connected by
TCP/IP (with or without a name server) and for systems using UUCP.

'procmail' is used as a local mail agent.

"sendmail" is a trademark of Sendmail, Inc.



Authors:
--------
    Eric Allman <sendmail@sendmail.ORG>

%package -n sendmail-devel
Summary:        BSD Sendmail Development Kit
License:        PERMISSIVE-OSI-COMPLIANT
Group:          Development/Libraries/Other
AutoReqProv:    on

%description -n sendmail-devel
This package includes libraries and header files for building tools to
access sendmail features.

"sendmail" is a trademark of Sendmail, Inc.



Authors:
--------
    Eric Allman <sendmail@sendmail.ORG>

%package -n rmail
Version:        8.14.3
Release:        51.5.1
Summary:        Rmail of the BSD Sendmail
License:        PERMISSIVE-OSI-COMPLIANT
Group:          Productivity/Networking/Email/Servers
AutoReqProv:    on

%description -n rmail
Rmail interprets incoming mail received via uucp and passing the
processed mail on to the MTA (e.g. sendmail).



Authors:
--------
    Eric Allman <sendmail@sendmail.ORG>

%prep
%setup
%patch -P 1 -p 0 -b .select
%patch -P 22 -p 0 -b .largedns
%patch -P 23 -p 0 -b .tlscert
%patch -P 0 -p 0
    set -f
    cat <<-EOF > file-list
	%%defattr(-,root,root)
	%%dir    %%attr(1750,root,root)   %{_localstatedir}/run/sendmail
	%%dir    %%attr(0750,root,root)   %{_localstatedir}/lib/sendmail
	%%attr(0600,root,root)            %{_localstatedir}/lib/sendmail/statistics
	%%attr(0600,root,root)            %{_mailcnfdir}/statistics
	%%dir    %%attr(0700,root,root)   %{_localstatedir}/spool/mqueue
	%%dir    %%attr(0700,root,root)   %{_localstatedir}/spool/mqueue/.hoststat
	# Part of filesystem RPM
	# %%dir    %%attr(0770,root,mail) %{_localstatedir}/spool/clientmqueue
	%%attr(0660,root,mail)            %{_localstatedir}/spool/clientmqueue/sm-client.st
	%%config %%attr(0644,root,root)   %{_sysconfdir}/permissions.d/sendmail
	%%config %%attr(0644,root,root)   %{_sysconfdir}/permissions.d/sendmail.paranoid
	EOF
    set +f

%build
    #
    ID=$(id -u)
    RPM_OPT_FLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing"
    ARCH_LIB=%{_lib}
    export ARCH_LIB
    # ingnore vacation (we have our own)
    make SUBDIRS="%{SUBDIRS}"

%install
    ID=$(id -u)
    ARCH_LIB=%{_lib}
    export ARCH_LIB
    doc=%{buildroot}%{_defaultdocdir}/sendmail
    if test "$ID" -ne 0 ; then
	mkdir bin
	PATH=${PWD}/bin:$PATH
	(cat > bin/install)<<-EOF
	#!/bin/bash
	argv=""
	while test \$# -gt 0; do
	    case "\$1" in
	    -o) shift 2;;
	    -g) shift 2;;
	    *)  argv="\${argv:+"\$argv "}\$1"
		shift
	    esac
	done
	set -- \$(echo \${argv})
	exec -a install %{_bindir}/install \${1+"\$@"}
	EOF
	chmod 755 bin/install
	type -p install
    fi
    mkdir -p ${doc}
    mkdir -p %{buildroot}/sbin/conf.d
    mkdir -p %{buildroot}%{_bindir}
    mkdir -p %{buildroot}%{_sbindir}
    mkdir -p %{buildroot}%{_mailcnfdir}/certs
    mkdir -p %{buildroot}%{_mailcnfdir}/auth
    mkdir -p %{buildroot}%{_sysconfdir}/init.d
    mkdir -p %{buildroot}%{_sysconfdir}/pam.d
    mkdir -p %{buildroot}%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services
    mkdir -p %{buildroot}%{_libdir}
    mkdir -p %{buildroot}%{_prefix}/lib/sendmail.d/bin
    mkdir -p %{buildroot}%{_datadir}/sendmail
    mkdir -p %{buildroot}%{_includedir}/sm
    mkdir -p %{buildroot}%{_includedir}/sm/os
    chmod 0750 %{buildroot}%{_mailcnfdir}/certs
    chmod 0750 %{buildroot}%{_mailcnfdir}/auth
    mkdir -p %{buildroot}%{_sysconfdir}/permissions.d
    mkdir -p %{buildroot}%{_mandir}/man1
    mkdir -p %{buildroot}%{_mandir}/man5
    mkdir -p %{buildroot}%{_mandir}/man8
    mkdir -p %{buildroot}%{_localstatedir}/adm/fillup-templates
    make \
	DESTDIR=%{buildroot} \
	SUBDIRS="%{SUBDIRS}" \
	MANROOTMAN=%{_mandir}/man \
	MANROOT=%{_mandir}/cat \
	install
    # needed to be able to comple a milter which uses libsm, i.e. amavis-milter
    cd include/sm
    ln -s os/sm_os_linux.h sm_os.h
    cd ../../
    cd include/sm/os
    ln -s sm_os_linux.h sm_os.h
    cd ../../../
    cp -r include/sm   %{buildroot}%{_includedir}/
    test "$ID" -ne 0 || \
    chown root:root    %{buildroot}%{_mailcnfdir}/submit.cf
    chmod 0644	       %{buildroot}%{_mailcnfdir}/submit.cf
    test "$ID" -ne 0 || \
    chown root:mail    %{buildroot}%{_sbindir}/sendmail
    ln -sf %{_sbindir}/sendmail %{buildroot}%{_prefix}/lib/sendmail
    mv %{buildroot}%{_sbindir}/praliases \
			      %{buildroot}%{_bindir}/praliases
    mkdir -p           %{buildroot}%{_localstatedir}/spool/mqueue/.hoststat
    test "$ID" -ne 0 || \
    chown -R root:root %{buildroot}%{_localstatedir}/spool/mqueue
    chmod 0700         %{buildroot}%{_localstatedir}/spool/mqueue
    chmod 0700         %{buildroot}%{_localstatedir}/spool/mqueue/.hoststat
    mkdir -p           %{buildroot}%{_localstatedir}/run/sendmail
    chmod 1750         %{buildroot}%{_localstatedir}/run/sendmail
    mkdir -p           %{buildroot}%{_localstatedir}/lib/sendmail
    chmod 0750         %{buildroot}%{_localstatedir}/lib/sendmail
    touch              %{buildroot}%{_localstatedir}/lib/sendmail/statistics
    test "$ID" -ne 0 || \
    chown -R root:root %{buildroot}%{_localstatedir}/lib/sendmail/statistics
    chmod 0600	       %{buildroot}%{_localstatedir}/lib/sendmail/statistics
    ln -sf %{_localstatedir}/lib/sendmail/statistics %{buildroot}%{_mailcnfdir}/statistics
    mkdir -p	       %{buildroot}%{_localstatedir}/spool/clientmqueue
    test "$ID" -ne 0 || \
    chown -R root:mail %{buildroot}%{_localstatedir}/spool/clientmqueue
    chmod 0770         %{buildroot}%{_localstatedir}/spool/clientmqueue
    touch              %{buildroot}%{_localstatedir}/spool/clientmqueue/sm-client.st
    test "$ID" -ne 0 || \
    chown -R root:mail %{buildroot}%{_localstatedir}/spool/clientmqueue/sm-client.st
    chmod 0660         %{buildroot}%{_localstatedir}/spool/clientmqueue/sm-client.st
    chmod 0755         %{buildroot}%{_prefix}/lib/sendmail.d
    chmod 0755         %{buildroot}%{_prefix}/lib/sendmail.d/bin
    chmod 0644         %{buildroot}%{_libdir}/*.a
    ln -sf %{_bindir}/vacation %{buildroot}%{_prefix}/lib/sendmail.d/bin/
    ln -sf %{_bindir}/mail     %{buildroot}%{_prefix}/lib/sendmail.d/bin/
    ln -sf %{_bindir}/procmail %{buildroot}%{_prefix}/lib/sendmail.d/bin/
    install -m 0644 K* README RELE* doc/op/op.ps sendmail/SECURITY \
                       sendmail/TRACEFLAGS suse/README.SuSE \
                       contrib/{e*,re-*,sm*,passwd*}.pl \
		       contrib/etrn.0 ${doc}
    install -m 0644 %{SOURCE1} ${doc}/FAQ.sendmail.bz2
    GROFF_NO_SGR=1 groff -pe -me -mtty-char -Tlatin1 doc/op/op.me > ${doc}/op.txt
    install -m 0644 smrsh/README ${doc}/README.smrsh
    install -m 0644 libmilter/README ${doc}/README.libmilter
    bzip2 -9f ${doc}/*.ps
    bzip2 -9f ${doc}/*.txt
    bzip2 -9f ${doc}/RELEASE_NOTES
    tar cfC - cf . | tar xfC - %{buildroot}%{_datadir}/sendmail/
    test "$ID" -ne 0 || \
    chown root:root -R	%{buildroot}%{_datadir}/sendmail/
    chmod 0755		%{buildroot}%{_datadir}/sendmail/sh/makeinfo.sh
    rm -f  %{buildroot}%{_datadir}/sendmail/cf/Build
    rm -f  %{buildroot}%{_datadir}/sendmail/cf/README
    rm -f  %{buildroot}%{_datadir}/sendmail/cf/Makefile
    rm -f  %{buildroot}%{_datadir}/sendmail/cf/*.cf
    rm -fr %{buildroot}%{_datadir}/sendmail/*/*~ ${doc}/*~
    find %{buildroot}%{_datadir}/sendmail/ ${doc}/ \
					-name '*.ldap' -o -name '*.mime' -o \
					-name '*.mrbl' -o -name '*.util' -o \
					-name '*.dif' | xargs -r rm -f
    cd suse/
    # etc/aliases and %{_sysconfdir}/aliases.d are in other packages
    #install -m 0644 aliases %{buildroot}%{_sysconfdir}/
    #install -d -m 0750 %{buildroot}%{_sysconfdir}/aliases.d
    install -m 0644 README Makefile mailertable genericstable userdb domaintable \
		    virtusertable access linux.mc linux.submit.mc \
		    linux.nullclient.mc service-nodns.switch \
		    service.switch relay-domains trusted-users \
		    local-host-names %{buildroot}%{_mailcnfdir}/
    install -m 0600 auth-info %{buildroot}%{_mailcnfdir}/auth/
    install -m 0755 sendmail.nissl %{buildroot}%{_sbindir}/
    install -m 0644 permissions %{buildroot}%{_sysconfdir}/permissions.d/sendmail
    install -m 0644 permissions.paranoid %{buildroot}%{_sysconfdir}/permissions.d/sendmail.paranoid
    install -m 0755 rc   %{buildroot}%{_sysconfdir}/init.d/sendmail
    install -m 0644 smtp %{buildroot}%{_sysconfdir}/pam.d/smtp
    install -m 0644 fw   %{buildroot}%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/sendmail
    install SuSEconfig.sendmail %{buildroot}/sbin/conf.d/
    install -m 0644 sysconfig.sendmail      %{buildroot}%{_localstatedir}/adm/fillup-templates/
    install -m 0644 sysconfig.mail-sendmail %{buildroot}%{_localstatedir}/adm/fillup-templates/
    > ${doc}/README.sendmail-local-only
    for m in messages/sendmail-local-only*; do
	l=${m##*.}
	n=${m##*/}
	n=${n%.*}
	cat $m >> ${doc}/README.sendmail-local-only
	echo   >> ${doc}/README.sendmail-local-only
    done
    cd ../
    if test -n "%{buildroot}" ; then
	cat %{buildroot}%{_mailcnfdir}/linux.mc		| \
	sed "s@include(\`@include(\`%{buildroot}@" | \
	m4 | \
	sed "s@%{buildroot}@@g"	> %{buildroot}%{_sysconfdir}/sendmail.cf
	cat %{buildroot}%{_mailcnfdir}/linux.submit.mc	| \
	sed "s@include(\`@include(\`%{buildroot}@" | \
	m4 | \
	sed "s@%{buildroot}@@g"	> %{buildroot}%{_mailcnfdir}/submit.cf
    else
	m4 < %{_mailcnfdir}/linux.mc		> %{_sysconfdir}/sendmail.cf
	m4 < %{_mailcnfdir}/linux.submit.mc	> %{_mailcnfdir}/submit.cf
    fi
    ln -sf %{_sysconfdir}/init.d/sendmail %{buildroot}%{_sbindir}/rcsendmail
    ln -sf ../aliases  %{buildroot}%{_mailcnfdir}/aliases
    pushd %{buildroot}%{_mailcnfdir}/
	OPATH=$PATH
	PATH="${OPATH}:%{buildroot}%{_sbindir}:%{buildroot}%{_bindir}"
	make DESTDIR=%{buildroot} short
	PATH=$OPATH
    popd
    #
    # Remove some files we don't wish to package
    #
    rm -f %{buildroot}%{_sysconfdir}/aliases %{buildroot}%{_mailcnfdir}/*.db
    rm -f %{buildroot}%{_mailcnfdir}/*/*.db

%clean
rm -rf %{buildroot}

%pre
# Check for rc.config: 
if test -f etc/rc.config ; then
  SMTP=$(. etc/rc.config 2>/dev/null; echo $SMTP)
  if test -n "$SMTP" ; then
    echo SMTP=$SMTP > var/adm/run-sendmail
  fi
fi

%post
# Trigger rebuild of old db's
for db in etc/aliases.db etc/aliases.d/*.db etc/mail/*.db etc/mail/*/*.db ; do
  test -e "$db"       || continue
  test -e "${db%.db}" || continue
  touch "${db%.db}"
done
# Put together
if test -f etc/rc.config.d/sendmail.rc.config ; then
  cat etc/rc.config.d/sendmail.rc.config >> etc/rc.config
  rm -f etc/rc.config.d/sendmail.rc.config
fi
# Rename these on update
if test -f etc/rc.config ; then
  SENDMAIL_ARGS=$(. etc/rc.config 2>/dev/null; echo $SENDMAIL_ARGS)
  case "$SENDMAIL_ARGS" in
    *-L*-Am*) ;;
    *-Am*-L*) ;;
    *) SENDMAIL_ARGS="-L sendmail -Am $SENDMAIL_ARGS"
  esac
  sed -e "s@^SENDMAIL_TYPE=@MAIL_CREATE_CONFIG=@" \
    -e "s@^SENDMAIL_NODNS=@NODNS=@" \
    -e "s@^SENDMAIL_ARGS=.*@SENDMAIL_ARGS=\"$SENDMAIL_ARGS\"@" \
    -e "s@^SENDMAIL_DIALUP=@DIALUP=@" etc/rc.config > etc/rc.config.new
  test -s etc/rc.config.new && mv etc/rc.config.new etc/rc.config || true
fi
# Should we listen for remote mails
if test -f var/adm/run-sendmail ; then
  . var/adm/run-sendmail
  if test "$SMTP" = "yes" -a -f var/adm/fillup-templates/sysconfig.mail-sendmail ; then
    sed -e 's@SMTPD_LISTEN_REMOTE="no"@SMTPD_LISTEN_REMOTE="yes"@' \
	  var/adm/fillup-templates/sysconfig.mail-sendmail \
	> var/adm/fillup-templates/sysconfig.mail-sendmail.new
    test -s var/adm/fillup-templates/sysconfig.mail-sendmail.new &&
         mv var/adm/fillup-templates/sysconfig.mail-sendmail.new \
            var/adm/fillup-templates/sysconfig.mail-sendmail || true
    SMTPD_LISTEN_REMOTE=yes
  fi
fi
# Update from newer SuSE releases or new installation
if test -f etc/sysconfig/mail ; then
  . etc/sysconfig/mail
fi
%{fillup_and_insserv -nY sendmail sendmail}
%{fillup_only -an mail}

%preun
%{stop_on_removal sendmail}

%postun
%{restart_on_update sendmail}
%{insserv_cleanup}

%files -f file-list
%defattr(-,root,root)
%dir %{_mailcnfdir}
# %{_sysconfdir}/aliases.d is part of aaa_dir
# %dir %attr(0750,root,mail) %{_sysconfdir}/aliases.d
%dir %attr(0750,root,root) %{_mailcnfdir}/auth
%dir %attr(0750,root,root) %{_mailcnfdir}/certs
%config(noreplace) %{_sysconfdir}/sendmail.cf
# %{_sysconfdir}/aliases is part of netcfg
# %config(noreplace) %{_sysconfdir}/aliases
%doc               %{_mailcnfdir}/README
%config(noreplace) %{_mailcnfdir}/Makefile
# this is a link
%config(noreplace) %{_mailcnfdir}/aliases
%config(noreplace) %attr(0600,root,root) %{_mailcnfdir}/auth/auth-info
%config(noreplace) %{_mailcnfdir}/linux.mc
%config(noreplace) %{_mailcnfdir}/linux.submit.mc
%config(noreplace) %{_mailcnfdir}/linux.nullclient.mc
%config(noreplace) %{_mailcnfdir}/mailertable
%config(noreplace) %{_mailcnfdir}/genericstable
%config(noreplace) %{_mailcnfdir}/domaintable
%config(noreplace) %{_mailcnfdir}/virtusertable
%config(noreplace) %{_mailcnfdir}/access
%config(noreplace) %{_mailcnfdir}/userdb
%config(noreplace) %{_mailcnfdir}/relay-domains
%config(noreplace) %{_mailcnfdir}/service.switch
%config(noreplace) %{_mailcnfdir}/service-nodns.switch
%config(noreplace) %{_mailcnfdir}/trusted-users
%config(noreplace) %{_mailcnfdir}/local-host-names
%config(noreplace) %{_mailcnfdir}/submit.cf
%doc %{_defaultdocdir}/sendmail
%{_datadir}/sendmail
%{_localstatedir}/adm/fillup-templates/sysconfig.sendmail
%{_localstatedir}/adm/fillup-templates/sysconfig.mail-sendmail
%config %attr(0644,root,root) %{_sysconfdir}/pam.d/smtp
%config %attr(0644,root,root) %{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/sendmail
%config %attr(0744,root,root) %{_sysconfdir}/init.d/sendmail
%config %attr(0755,root,root) /sbin/conf.d/SuSEconfig.sendmail
%{_bindir}/hoststat
%{_bindir}/mailq
%{_bindir}/newaliases
%{_bindir}/praliases
%{_bindir}/purgestat
#%{_bindir}/rmail
%{_prefix}/lib/sendmail
%dir %attr(0755,root,root) %{_prefix}/lib/sendmail.d/
%dir %attr(0755,root,root) %{_prefix}/lib/sendmail.d/bin/
%{_prefix}/lib/sendmail.d/bin/mail
%attr(0511,root,root) %{_prefix}/lib/sendmail.d/bin/mail.local
%{_prefix}/lib/sendmail.d/bin/procmail
%attr(0511,root,root) %{_prefix}/lib/sendmail.d/bin/smrsh
%{_prefix}/lib/sendmail.d/bin/vacation
%{_prefix}/lib/sendmail.d/helpfile
%doc %{_mandir}/man1/mailq.1.gz
%doc %{_mandir}/man1/newaliases.1.gz
%doc %{_mandir}/man5/aliases.5.gz
%doc %{_mandir}/man8/editmap.8.gz
%doc %{_mandir}/man8/makemap.8.gz
#%doc %{_mandir}/man8/rmail.8.gz
%doc %{_mandir}/man8/sendmail.8.gz
%doc %{_mandir}/man8/smrsh.8.gz
%doc %{_mandir}/man8/mail.local.8.gz
%doc %{_mandir}/man8/mailstats.8.gz
%doc %{_mandir}/man8/praliases.8.gz
%{_sbindir}/editmap
%{_sbindir}/mailstats
%{_sbindir}/makemap
# Should we do 6555??
%attr(2555,root,mail) %{_sbindir}/sendmail
%{_sbindir}/sendmail.nissl
%{_sbindir}/rcsendmail

%files -n sendmail-devel
%defattr(-,root,root)
%dir %{_includedir}/libmilter
%{_includedir}/libmilter/*.h
%dir %{_includedir}/sm
%{_includedir}/sm/*.h
%dir %{_includedir}/sm/os
%{_includedir}/sm/os/*.h
%{_libdir}/libmilter.a
%{_libdir}/libsmutil.a
%{_libdir}/libsm.a

%files -n rmail
%defattr(-,root,root)
%{_bindir}/rmail
%doc %{_mandir}/man8/rmail.8.gz

%changelog
* Thu Jan 28 2010 werner@suse.de
- Add patch to avoid overflow of buffer for DNS resolver (bnc#559517)
- Add patch from 8.14.4 to handle bogus TLS certs containing NUL chars
* Tue Nov 11 2008 ro@suse.de
- drop klogd prereq (prereq cycle)
* Mon Nov 10 2008 ro@suse.de
- drop sysconfig prereq
* Tue Sep 30 2008 werner@suse.de
- Use -fPIC for libraries (bnc#428289)
* Sun Aug 24 2008 ro@suse.de
- fix fillup_and_insserv options
* Wed Aug  6 2008 varkoly@suse.de
- (bnc#414960) sendmail doesn't have any "Name: " tag in firewall definition
* Wed Jul 30 2008 werner@suse.de
- Make boot script know about new upcoming startpar and insserv
* Wed Jul 16 2008 werner@suse.de
- Make poll25 more fail safe
* Thu Jun 19 2008 werner@suse.de
- Make /bin/fuser required (bnc#401477)
* Tue May  6 2008 werner@suse.de
- Update to bug fix release sendmail 8.14.3:
  * the MTA accessed storage after it free()d it. This was a
    regression introduced in 8.14.2.
  * ruleset processing: the function cataddr() could cause the
    addition of the BlankSub character between some tokens when
    it should not happen and thus failures in rule matching.
  * the libmilter state engine did not deal correctly with
    milters that requested the omission of protocol steps during
    the negotiation callback.
* Fri Feb 22 2008 werner@suse.de
- Make the name `smtp' of the smtp port to a real m4 string
* Wed Feb 20 2008 werner@suse.de
- Clean up spec file
- Add support for an other MTA port, be sure the client can connect
  to the new port of the MTA
* Mon Feb 18 2008 werner@suse.de
- Don't forget port even if sendmail listen only local (bnc#362642)
* Fri Dec 14 2007 werner@suse.de
- Update to release sendmail 8.14.1
  * fix an important bug in the milter function smfi_chgfrom()
    which could cause the loss of a message body.
  * fix the handling of queued messages with 8 bit characters in
    From: or To: header which could be "mistaken" for internal
    control characters during a queue run and trigger various
    consistency checks.
  * fix the handling of lines longer than MAXLINE-1 characters in
    certain cases.
* Fri Jul 20 2007 coolo@suse.de
- don't build require openldap2. all we need is a client
* Tue Jun 19 2007 werner@suse.de
- sendmail rc script provides smtp
* Thu May 10 2007 werner@suse.de
- Replace old RBL's with new RBL's (bug #272246)
* Tue Apr 24 2007 werner@suse.de
- Add smtp configuration for pam (bug #247352)
- Add sendmail configuration for SuSEfirewall (bug #247352)
* Mon Apr 16 2007 werner@suse.de
- Update the boot script dependcies (bug #262215)
* Thu Apr  5 2007 werner@suse.de
- Update to release sendmail 8.14.1
- Add port check for polling smtp port (fate #302078)
* Fri Feb 16 2007 werner@suse.de
- Branch new package rmail from sendmail source
- Split off uucp spec file from this spec file
* Mon Feb 12 2007 werner@suse.de
- Make it build nonroot
* Thu Feb  1 2007 werner@suse.de
- Add socket mapping for usage of Cyrus IMAP server (#241060)
* Fri Jan 19 2007 werner@suse.de
- update uucp configuration
* Thu Aug 10 2006 werner@suse.de
- Update to bug fix release sendmail 8.13.8
- Remove update messages
* Thu Jun 22 2006 werner@suse.de
- Do not touch db files if makemap fails
* Tue Jun 20 2006 werner@suse.de
- Update to sendmail version 8.13.7
- Add some more comments to the dnsbl feature due no longer
  available free providers of DNS based rejection list.
- Move the `accept unresolvable/unqualified domains/senders' from
  the expensive.m4 feature toward to the nodns.m4 hack.
- Add a comment that the nodns.m4 hack should be used in
  conjunction with a smart host
* Mon Jun 19 2006 werner@suse.de
- The symlink /etc/mail/aliases is config(noreplace) (bug #185589)
* Tue May 30 2006 werner@suse.de
- Proper update of the fix for VU#146718 (bug #173998)
* Wed May 24 2006 schwab@suse.de
- Don't strip binaries.
* Wed May 10 2006 werner@suse.de
- VU#146718: Fix sendmail denial of service with MIME (bug #173998)
* Thu Mar 23 2006 werner@suse.de
- Touch data source file instead of removeing data base (#160285)
* Wed Mar 22 2006 werner@suse.de
- Use official sendmail 8.3.16 instead of the patched version for
  the security issue CERT VU834865 (#156417)
* Mon Mar 20 2006 werner@suse.de
- Get CERT VU834865 patch working on s390x
- Avoid invalid timeval's if select() catch EINTR
* Thu Mar  9 2006 werner@suse.de
- Fix race condition in signal handling CERT VU834865 (#156417)
* Tue Feb  7 2006 werner@suse.de
- Increase polling time for active port 25 to 10 seconds (#148563)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Nov 11 2005 werner@suse.de
- Do not use localhost as remote host with fuser
* Fri Nov 11 2005 werner@suse.de
- Move /var/run/sendmail/statistics to /var/lib/sendmail/
* Thu Oct 13 2005 werner@suse.de
- Update sendmail to version 8.13.5
- Update sendmail faq
* Fri Sep 30 2005 werner@suse.de
- I do not rewrite ldpa interface of sendmail with not documented
  ldap function calls, therefore set LDAP_DEPRECATED
* Tue Jun 28 2005 werner@suse.de
- Make UUCP massage size an sysconfig option
* Mon Jun 20 2005 werner@suse.de
- Add some clearing words to the comment for what is accepted for
  relaying with sendmail.
* Mon Jun 20 2005 kukuk@suse.de
- Use -fPIE instead of -fpie
* Fri Jun 17 2005 werner@suse.de
- Use -fpie/-pie
* Sun May  1 2005 werner@suse.de
- Wait on port 25 of localhost to be sure that sendmail has
  open this port before we start the queue runner.
* Wed Mar 30 2005 ro@suse.de
- fix version number for devel subpackage
* Wed Mar 30 2005 werner@suse.de
- Update to sendmail version 8.13.4
- Update sendmail faq
* Sun Feb 27 2005 ro@suse.de
- package /usr/bin/cu as 755
* Wed Feb 23 2005 werner@suse.de
- Add permissions file sendmail.paranoid to be able to disable MTA
* Wed Jan 26 2005 werner@suse.de
- Update to sendmail 8.13.3
- Add official close_wait patch
* Sat Jan 15 2005 schwab@suse.de
- Use <owner>:<group> in permissions file.
* Thu Dec 16 2004 werner@suse.de
- Update to sendmail 8.13.2
- Make it work
* Tue Dec 14 2004 werner@suse.de
- Fix problem with two different session of one sendmail binary by
  using new ignore feature of start/killproc (bug #48790)
* Thu Nov 11 2004 ro@suse.de
- adapt permssions in filelist to permissions in permissions file
* Wed Sep 15 2004 werner@suse.de
- Better description of the sendmail options for both master daemon
  and client runner, shorten client sleeping time (bug #45309)
* Tue Aug 31 2004 werner@suse.de
- Do only local port message and only in case of an update
  from a system without this feature.
* Tue Aug 31 2004 werner@suse.de
- Move forward to new update messages scheme
* Mon Aug 30 2004 ro@suse.de
- temporary solution: comment out all update mails
* Mon Aug  2 2004 werner@suse.de
- Update to sendmail 8.13.1
- Make access_db feature an option to avoud trouble with the
  default of the new  and automatic enabled greet_pause feature
* Fri Jul 30 2004 werner@suse.de
- Remove /var/spool/clientmqueue from file list because this one
  is provided by RPM filesystem for the uid/gid mail.
- Update FAQ.sendmail-8.12 to newest version.
* Thu Jul 29 2004 werner@suse.de
- Add switch for masquerade_entire_domain and domaintable
  feature to SuSEconfig of sendmail.
- Add missed statistics file for sendmail client (bug #40584)
* Fri Apr  2 2004 werner@suse.de
- Add linux.submit.mc and generate the shipped submit.cf out of
  them. This should avoid missing SuSEconfig runs or customers
  which do not move the submit.cf.SuSEconfig over the submit.cf.
  (bugs #37952, #32348).
* Thu Mar 18 2004 werner@suse.de
- SusEconfig.sendmail: return exit status of failed commands
  (bug #36492)
* Fri Feb 13 2004 werner@suse.de
- Fix amavis package name (bug #34544)
* Wed Dec 17 2003 werner@suse.de
- Fix typos (bug #32344, #32345)
- Changes within SMTP AUTH
  * Add comment about rpm to be installed
    cyrus-sasl-(gssapi|otp|digestmd5|crammd5|plain)
  * Add an all option for all AUTH mechanisms
  * Make TLS and SASL work together
- Test for dialup hosts
  * Add confTRY_NULL_MX_LIST for MSP
  * Add generics domain feature for MSP
* Mon Oct  6 2003 werner@suse.de
- Remove backshlash in linux.mc (bug #32037)
* Thu Sep 18 2003 werner@suse.de
- Update to 8.12.10 due security fixes
* Wed Sep 17 2003 werner@suse.de
- Security fix for sendmail (prescan2)
* Wed Sep  3 2003 werner@suse.de
- Add try-restart option for update (bug #29044)
* Thu Aug 28 2003 mmj@suse.de
- Add sysconfig metadata [#28899]
* Thu Aug 28 2003 mmj@suse.de
- Sendmail requires m4, which is no longer default [#29454]
* Mon Jul 28 2003 werner@suse.de
- Fix amavis(d) typo
* Mon Jul 28 2003 werner@suse.de
- Fix chown usage
* Tue Jul 22 2003 werner@suse.de
- Fix bug #27117: use asci file as reference for mode of db
- Move from amavis(d) to amavis-new
* Mon Jun 30 2003 werner@suse.de
- Add manual pages again
* Thu Jun 26 2003 kukuk@suse.de
- Don't create .dif files
* Fri Jun 13 2003 kukuk@suse.de
- Fix spec file to build again
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Tue Apr 15 2003 werner@suse.de
- Update to 8.12.9 (including the last two security patches)
- Update FAQ
- Add SENDMAIL_ALLMASQUERADE for servers using yp, DNS (etc/aliases,
  /etc/hosts)
- Add /etc/mail/local-host-names for masquerade and generic domain
* Tue Apr  1 2003 draht@suse.de
- sendmail.8.12-prescan.patch fixes another overflow security problem.
* Wed Feb 26 2003 werner@suse.de
- Security fix to avoid remote root access
* Wed Feb 12 2003 werner@suse.de
- The same procedure? The same procedure as every spec: Use
  preun not post for removing info entry
* Tue Feb 11 2003 werner@suse.de
- Fix bug #22765: better description in auth-info
* Tue Feb 11 2003 werner@suse.de
- Expand Amavis check
* Wed Jan 15 2003 werner@suse.de
- Remove backup file of patch before installation
* Wed Jan 15 2003 werner@suse.de
- Be sure that library directory exist on all architecture
* Tue Jan 14 2003 werner@suse.de
- Update to senbdmail 8.12.7
- Re-enable IPv6 support
- Make GLIBC_VERSION macro work (sigh!)
- Use BuildRoot
- Use meta tags for sysconfig files (bug #22687)
* Tue Jan 14 2003 werner@suse.de
- Add some more comments about smtp auth, correct replacement
  off encoded passphrase
- Switch to SASL2
* Fri Nov 29 2002 werner@suse.de
- SMRSH should check the called program
- Fix bug #20475: now we've three sendmail processes:
  one master, one client for controlling the clientmqueue
  and its child for handling clientmqueue.
* Mon Sep  9 2002 werner@suse.de
- sendmail depends on yp information (bug #18913)
* Mon Sep  2 2002 werner@suse.de
- Switch to bugfix release 8.12.6
* Tue Aug 27 2002 werner@suse.de
- Be paranoid: -fno-strict-aliasing on all platforms (bug #17432)
* Mon Aug 26 2002 werner@suse.de
- Make amavis optional due its only available on i386 (bug #18337)
- Rename require `ntp' to `$time' (bug #18337)
* Mon Aug 26 2002 werner@suse.de
- Move NULLCLIENT from /etc/sysconfig/mail to
  /etc/sysconfig/sendmail  because  sendmail and postfix use this
  on different.
- Add a line to the comment for NULLCLIENT to get correct values.
  (bug #18301)
* Fri Aug 16 2002 werner@suse.de
- Add PreReq (bug #17990)
* Wed Aug 14 2002 werner@suse.de
- Don't be fooled by "no" for variable values (bug #17749)
* Mon Aug  5 2002 werner@suse.de
- Temporary fix for s390 to get makemap working
* Thu Jul 18 2002 werner@suse.de
- Make nullclient work
* Tue Jul 16 2002 werner@suse.de
- Add some more comments for localhost and masquerade (bug #16952)
- Add DNS RBL support to SuSEconfig.sendmail (bug #16951)
- Make last change work
* Mon Jul 15 2002 kukuk@suse.de
- Remove /etc/aliases from filelist
* Thu Jul 11 2002 werner@suse.de
- Try to use db4
* Thu Jul 11 2002 werner@suse.de
- Enable trusted user file in both MSP and MTA (bug #16930)
- Use confTRUSTED_USERS in MSP
- Add changes from Volker Kuhlmann <kuhlmav@elec.canterbury.ac.nz>
  for supporting black lists with SuSEconfig
* Tue Jul  9 2002 werner@suse.de
- Add /etc/aliases.d/ and a scanner in SuSeconfig.sendmail to
  get files therein into /etc/sendmail.cf. Add check in
  /etc/mail/Makefile ... (bug #15921)
* Tue Jul  9 2002 werner@suse.de
- Add sanity check for NULLCLIENT redirect (bug #16871)
- Add user vscan to trusted user list (bug #16496)
- Update to sendmail 8.12.5
* Thu Jul  4 2002 ro@suse.de
- fix compilation with openldap-2.1
* Tue Apr 30 2002 werner@suse.de
- Fix path of cyrus deliver program (bug# 16056)
- Add m4 option for both sendmail.cf and submit.cf  (bug# 15409)
* Wed Apr 24 2002 werner@suse.de
- Update ot bugfix release 8.12.3
- Correction of the SMTP AUTH db generation
* Tue Apr  9 2002 werner@suse.de
- Oops: move autoconf change log entry to uucp change log
* Thu Mar 28 2002 werner@suse.de
- Add Obsoltes for sendmail-tls (bug #15579)
* Wed Mar 13 2002 werner@suse.de
- Avoid header rewrite for sendmail client (fix bug #14910)
* Tue Mar  5 2002 werner@suse.de
- Force insserv call (fix bug #14359)
* Fri Mar  1 2002 werner@suse.de
- As requested: Add mailman and mailman-owner to aliases
* Fri Mar  1 2002 pthomas@suse.de
- Fix small typo in mail sent after installation.
* Wed Feb 27 2002 werner@suse.de
- Be sure that we catch all rc.config variables
- Be sure that the new required sendmail options will be included
  in SENDMAIL_ARGS
* Tue Feb 26 2002 werner@suse.de
- More work for SMTPD_LISTEN_REMOTE: if the old system has
  SMTP=yes in /etc/rc.config we remember this decision at
  pre install time and change the default for SMTPD_LISTEN_REMOTE
  from "no" to "yes" at post install time.
* Tue Feb 26 2002 werner@suse.de
- Fix bug #13905: With 8.12 we need to add our domain used in
  FROM_HEADER in the class G (generic domains)
* Mon Feb 25 2002 werner@suse.de
- Export %%_lib to site.config.m4 to make it work on ia64.
* Mon Feb 25 2002 werner@suse.de
- fix bug #13830: catch EINTR on select.
* Thu Feb 21 2002 werner@suse.de
- Add SMTPD_LISTEN_REMOTE to be able to switch off remote
  mail connections.
* Wed Feb 20 2002 werner@suse.de
- Fix bug #13188 and #13521: Avoid mail loss by running both
  sendmail master and client.
- Add and correct comments
- Install sendmail/SECURITY
- Fix bug #12462 by new configure option SENDMAIL_LUSER to map
  local mail with unknown local recipients.
* Thu Feb 14 2002 werner@suse.de
- Correct comment about full qualified hostname which is located
  in /etc/HOSTNAME now.
* Wed Feb 13 2002 werner@suse.de
- Run two daemons: one for sendmail server acts and one for the
  new client msp acts to deserve mails to port 25
- Insserv by default, because the server daemons must listen on
  port 25 for the msp sendmail client used by  MTA's.
- Create /etc/mal/submit.cf to get nocanonify, nodns, and
  masquerade into /etc/mal/submit.cf
* Sun Feb 10 2002 ro@suse.de
- new option for bz2 tar is "j"
* Tue Feb  5 2002 ro@suse.de
- rename old rc.config variable names on update
* Wed Jan 30 2002 werner@suse.de
- Remove YAST_ASK (#12972)
* Mon Jan 28 2002 werner@suse.de
- sysconfig.mail changes
- remove rc.config from README's
* Wed Jan 23 2002 werner@suse.de
- Minor changes like including new features into linux.mc
  and using the official MILTER macro of 8.12.2.
* Mon Jan 21 2002 werner@suse.de
- Package split into sendmail and sendmail-devel
- Notify if user has /etc/mail/sendmail.ct or /etc/mail/sendmail.cw
- Correct LICENSE in PDB
* Sun Jan 20 2002 link@suse.de
- for compiling a milter client, we need /usr/lib/libsm.a and
  /usr/include/sm
* Fri Jan 18 2002 werner@suse.de
- Use clientmqueue interface, that means there is a user and
  group mail together with group writable directory for group
  mail and sendmail is sgid mail.
- Implement STARTTLS and SASL interface for client and server side
- Move /etc/mail/default-auth-info to /etc/mail/auth/auth-info(.db)
  and use the FEATURE(authinfo) not DefaultAuthInfo
- Use /etc/mail/certs/ for STARTTLS data
- Install editmap
- Use FEATURE(delay_checks) in dialup.m4
- Use `.' at the end of MAIL_HUP, LOCAL_RELAY, and SMART_HOST if
  a FQDN is used.
- Fix bug #10601: Use content of /etc/HOSTNAME if FQDN
* Thu Jan 17 2002 werner@suse.de
- Update to 8.12.2
  Use official MILTER now
  Use SM_CONF_SHM, EGD for STARTTLS, and DNSMAP
- Move from sendmail.ct and sendmail.cw to local-host-names
  and local-host-names
- Enable STARTTLS, and SASL by default
- Make NULLCLIENT and SMTP-AUTH a configure option
- Remove rc.config from any comment
- DOMAIN macro should be called before MAILER macro
- Use /etc/sysconfig/mail and /etc/sysconfig/amavis
- Make it compile
* Tue Jan 15 2002 egmont@suselinux.hu
- removed colons from startup/shutdown messages
* Fri Dec 14 2001 ro@suse.de
- moved rc.config.d -> sysconfig, removed SMTP variable
* Thu Nov 22 2001 werner@suse.de
- Do not escape backquote within linux.mc (#12429)
* Thu Aug 30 2001 werner@suse.de
- More on bug #9097
* Wed Aug 22 2001 werner@suse.de
- Security update to 8.11.6 (bugtraq id 3163)
* Tue Aug 14 2001 werner@suse.de
- Update to 8.11.5
- Fix bug #9097
* Wed Jun 27 2001 werner@suse.de
- More re-ordering of cpp directives
* Wed Jun 27 2001 werner@suse.de
- Re-order cpp directive to be not included within printf
* Wed Jun  6 2001 werner@suse.de
- Simple fix in sendmail.nissl script
- Add hops fix
* Wed May  9 2001 mfabian@suse.de
- bzip2 sources
* Thu Apr 26 2001 werner@suse.de
- Add missed entries in /etc/mail/linux.mc
* Thu Apr  5 2001 werner@suse.de
- Add alias for amavis
* Wed Apr  4 2001 werner@suse.de
- Add message about libwrap and sendmail if host.allow is used
* Thu Mar 29 2001 werner@suse.de
- Add interface for amavis
- Move mfapi.h to /usr/include/libmilter/
* Wed Mar 21 2001 werner@suse.de
- Update to sendmail 8.11.3
- Add libmilter.a and co
* Thu Mar 15 2001 ro@suse.de
- changed for openldap2
* Thu Mar 15 2001 ro@suse.de
- fixed neededforbuild for openldap
* Fri Feb 23 2001 werner@suse.de
- Check for YAST_ASK value for all variables used be SuSEconfig
* Wed Jan 17 2001 werner@suse.de
- Change init.d location in sendmails permission file
* Tue Jan  9 2001 ro@suse.de
- re-added sfio compile fix from Andreas Schwab
* Tue Jan  9 2001 werner@suse.de
- Update to 8.11.2 due BUG fixes
  * Sendmail, Inc. and the Sendmail Consortium are proud to
    announce the release of sendmail 8.11.2. This is a maintenance
    release which contains bug fixes for problems found after
    8.11.1 was released.
* Mon Dec 18 2000 werner@suse.de
- Add touch of *.db file to set mtime of those files
* Mon Dec 11 2000 werner@suse.de
- Add LSB header to init script
* Wed Dec  6 2000 bk@suse.de
- add /usr/lib/sendmail.d/bin (like /usr/lib/sendmail.d) to %%files
* Tue Nov 28 2000 kukuk@suse.de
- Move init script to /etc/init.d
* Fri Nov 24 2000 werner@suse.de
- Update to 8.11.1
- Add a Makefile for /etc/mail/
- Minor changes within suse-linux.m4
* Mon Nov  6 2000 ro@suse.de
- fixed neededforbuild
* Wed Sep 27 2000 werner@suse.de
- Fix VERSIONID format handling
* Mon Sep 11 2000 werner@suse.de
- Fix some typos in README.SuSE (Thanks to Pavel Janik)
* Tue Sep  5 2000 werner@suse.de
- correct FAQ name
* Mon Sep  4 2000 werner@suse.de
- Update to 8.11.0
  * Hopefully reverse lookup works even with IPv6
  * Adapted the patches of 8.10.2
- Add MASQUERADE_DOMAINS for masquerade of disjoint namespaces
- Move /var/run/sendmail.control to /var/run/sendmail/control
* Tue Jul 25 2000 werner@suse.de
- Add missed helpfile to file list.
- Correct two typo's
* Fri Jul 14 2000 werner@suse.de
- Use FQHOSTNAME in /etc/rc.config or /etc/HOSTNAME before calling
  hostname because the hostname maybe configured but not active.
* Tue Jul 11 2000 werner@suse.de
- Set Timeout.ident to `0s' for SuSE Linux because many sites do
  not run identd or have disabled auth/ident protocol
* Tue Jun 20 2000 werner@suse.de
- Remove FROM_HEADER from /etc/rc.config.d/sendmail.rc.config
  (bug #2881)
* Mon Jun 19 2000 werner@suse.de
- Security update to 8.10.2
* Wed May 10 2000 werner@suse.de
- Add a README.SuSE at /usr/share/doc/packages/sendmail/
- Make sendmail accept sticky but group writable directories
- Correct order of mailers in SuSEconfig script
* Tue May  9 2000 werner@suse.de
- Add loud comment to hopefully weak up otherwise not thinking
  system adiminstrators.
- Use dummy domains only within linux.mc.
* Fri Apr 14 2000 werner@suse.de
- New version 8.10.1 (some security fixes)
* Fri Apr 14 2000 werner@suse.de
- Add tcpd into neededforbuild
* Thu Apr  6 2000 werner@suse.de
- Update to version 8.10.0 of sendmail
  * convert SuSE patches if not already in there
  * change our extensions to the new version (e.g. bsmtp, fido)
  * add mail500 mailer for (open)ldap
  * local mailer shouldn't use MX records
  * a few fixes withion the M4 macro tools
  * fix configure script
  * make libc5/nis+ changes dynamically
  * add example /etc/mail/relay-domains
  * add some informations on various files in /etc/mail/
  * move /etc/smrsh/ to /usr/lib/sendmail.d/bin/
  * install helpfile into /usr/lib/sendmail.d/
  * do NOT build and install vacation, we have our own
* Tue Feb 29 2000 schwab@suse.de
- Fix inconsistent printf format/arguments.
* Mon Feb 28 2000 werner@suse.de
- Add patch which avoid alignment problems
* Mon Feb 21 2000 ke@suse.de
- add Copyright tag to the uucp subpackage
- beautify Group tags
* Mon Feb 14 2000 ro@suse.de
- move man to /usr/share using macro
* Fri Feb 11 2000 werner@suse.de
- Fix m4 source path during installation
* Mon Jan 10 2000 werner@suse.de
- Correct stupid ` ' bug ;^)
* Thu Dec 23 1999 werner@suse.de
- Move DOMAIN(generic) from suse-linux.m4 to linux.mc and
  SuSEconfig.sendmail
- Add /etc/mail/README.linux to the rpm binary file.
* Tue Dec 14 1999 ro@suse.de
- create directory /var/lib/uucp (no longer in aaa_dir)
* Thu Dec  2 1999 werner@suse.de
- Make it ready for 5.3 (libc5)
* Mon Nov  8 1999 werner@suse.de
- Fix some permissions
* Fri Nov  5 1999 schwab@suse.de
- Fix typo in %%post
* Wed Nov  3 1999 werner@suse.de
- Workaround for fillup kludge
* Wed Nov  3 1999 werner@suse.de
- really disable tcpwrapper
* Tue Nov  2 1999 werner@suse.de
- Adapted the db1 patch to the last change
* Mon Nov  1 1999 werner@suse.de
- Currently disabled: libwrap from tcpd (feature for next SuSE)
- Don't use passwd in service switches because currently not used
  by sendmail
* Fri Oct 29 1999 werner@suse.de
- Remove doubled alias `abuse'
* Thu Oct 28 1999 werner@suse.de
- Add some more comments
- Split nocanonify and nodns to support configurations found
  with an update.
- Still unresolved: Usage of TCPWRAPPER
* Wed Oct 27 1999 werner@suse.de
- Add linebreak in warning
* Wed Oct 27 1999 werner@suse.de
- Add description for SENDMAIL_GENERICS_DOMAIN
* Wed Oct 27 1999 werner@suse.de
- Fix some minor bugs:
  * source /etc/rc.config.d/sendmail.rc.config if available
  * Expand AliasFile for ldap
  * Locate AliasFile at /etc/aliases
  * Add some more comments about nis, nisplus in service.switch
  * Make FEATURE ldap usable
* Tue Oct 26 1999 werner@suse.de
- Add some patches
  * ldap.893.patch (some fixes for ldap support)
  * mime.c.patch.893 (avoid buffer overflow die mime mails)
  * mrbl.p3.893 (enable multiple realtime blackhole list)
  * util.c.893.patch (avoid freeing of pointer in signal handler)
- Add own changes
  * a new feature/ldap.m4 for (open)ldap support
  * a new feature/expensive.m4 (expensive smtp)
  * a new feature/dialup.m4 (defer delivery mode)
  * a new hack/nodns.m4 (combine nocanonify and service-nodns.switch)
  * add service-nodns.switch and service.switch (passwd with nis)
    in /etc/mail/
  * add a new ostype/suse-linux.m4 with our default configuration
  * change /etc/mail/linux.mc, /etc/mail/linux.nullclient.mc,
    and /sbin/conf.d/SuSEconfig to fit new suse-linux.m4
  * add some anti-spam possibilities in /etc/mail/linux.mc
  * make IP_SRCROUTE work for newer kernels and glibc
  * make USESETEUID and HASSETREUID work for the
    appropiate kernel and glibc version.
  * add IP adresses 127.x.x.x for relaying in /etc/mail/access
  * change permissions for /var/spool/mqueue
  * use `.hoststat' directory
  * use DOMAIN(generic)
  * add some default aliases (abuse and spam)
  * use wrapper library (/etc/hosts.allow and /etc/hosts.deny)
  * enable nisplus support
  * enable ldap support
  * add text version of intro, op, and usenix
* Mon Sep 20 1999 ro@suse.de
- added provides smtp_daemon
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Sep 10 1999 uli@suse.de
- fixed manpath in Linux.ppc
* Thu Aug  5 1999 uli@suse.de
- updated FAQ
* Thu Jul 22 1999 bs@suse.de
- switched back to prior version, because /etc/mail/linux.mc is mentioned
  in our manual.
* Tue Jul 20 1999 florian@suse.de
- better configuration and anti spam option
- delete FAQ from distribution
- sample config files only in /usr/doc
* Mon Jul 12 1999 ro@suse.de
- do not pre-format man-pages
* Thu Jun 10 1999 ro@suse.de
- fixed build for libc5
* Tue May 18 1999 ro@suse.de
- updated db1-patch
* Fri May 14 1999 choeger@suse.de
- add on for SuSEconfig.sendmail for DoD Sites
  FEATURE(\`accept_unresolvable_domains')dnl
  FEATURE(\`accept_unqualified_senders')dnl
  will be set if SENDMAIL_EXPENSIVE=yes
* Tue Apr  6 1999 choeger@suse.de
- removed feature nodns, because it's declared as no-op
* Sun Apr  4 1999 choeger@suse.de
- new package sendmail-8.9.3
- new feature /etc/mail/access
* Wed Feb 17 1999 ro@suse.de
- removed rmail and rmail.8 (moved to package uucp)
- build uucp from same specfile
* Mon Jan 11 1999 ro@suse.de
- Makefile.Linux: objdir changed to Linux.2.* (respect alpha)
* Mon Dec 14 1998 bs@suse.de
- created notify message
- fixed comment in rc.config
* Thu Dec 10 1998 florian@suse.de
- update check.tar.gz to the newest version
- use /var/spool/mqueue instead of /var/mqueue
- add statistics prog sendmail.nissl
- mv smrsh prog dir to /etc/smrsh
- add userdb
- etc/aliases: add more logic and fix some paths
- add /tmp-race-fixes to expn.pl
- mv /etc/mail/sendmail.st /var/log/
- fix some paths in sendmail docu
- add LUSER_RELAY example to /etc/mail/linux.mc
- add bug-fixes if someone recompiles with TCPWRAPPERS defined
- add SENDMAIL_GENERICS_DOMAIN to rc.config
- change most files in /etc/mail to config(noreplace)
- dynamic linking against -lresolv -lnsl
- do not compile with XDEBUG
* Mon Dec  7 1998 ro@suse.de
- updated init-script
- build for libc5 as well as for glibc
* Sat Dec  5 1998 bs@suse.de
- mark /etc/sendmail.cf and /etc/aliases as "noreplace".
- mark mailertable, virtusertable, genericstable as "noreplace".
- skipped notice mail for sys admin.
- don't include *.db
- SuSEconfig.sendmail: fixed problem, if *.db do not exist.
* Thu Nov  5 1998 ro@suse.de
- use -ldb (db1 exists only for glibc-2.1)
* Tue Sep 29 1998 ro@suse.de
- BETA ONLY: use /usr/include/db1 and -ldb1
  use -lresolv and -lnsl
* Wed Mar  4 1998 florian@suse.de
- add newer anti-spam rules
- comment out majordomo-entries in /etc/aliases
- do not use "smtp:" for nullclient file
* Mon Mar  2 1998 florian@suse.de
- marked /etc/mail/aliases as %%config
* Mon Feb  9 1998 florian@suse.de
- newer /etc/mail/README
- newer anti-spam rules
- make all database files optional in linux.mc
- do not use the "-f" option for the database files
- use the new SuSE-functions to check with md5sums if a new sendmail.cf
  should be written
* Fri Jan 16 1998 bs@suse.de
- minor bugfix in /sbin/conf.d/SuSEconfig.sendmail
  (exit if no rc.config exists)
* Thu Nov 27 1997 florian@suse.de
- fix some typos in docu files
- update to newest version of Anti-Spam support
* Wed Nov 19 1997 florian@suse.de
- enable NIS support
* Sun Nov 16 1997 florian@suse.de
- update /etc/mail/README
* Mon Oct 27 1997 florian@suse.de
- update to sendmail 8.8.8
- first start for a docu file in /etc/mail/README
- new parameters in rc.config (/var/adm/fillup-templates/rc.config.sendmail)
- per default additional database files in /etc/mail are used
- /sbin/conf.d/SuSEconfig.sendmail gernerates /etc/sendmail.cf
- add support for anti-spam macros from Claus Aßmann
- sample /etc/mail/linux.mc for complex email setups
* Sun Apr 27 1997 bs@suse.de
  start sendmail in background in sbin/init.d/sendmail
* Thu Feb 27 1997 bs@suse.de
  added alias faxmaster
* Wed Jan 22 1997 florian@suse.de
- add uucp and mdom to the list of trusted users
- update to version 8.8.5
- add slightly better /etc/aliases
* Thu Jan  2 1997 florian@suse.de
- update to 8.8.4 (due to a security hole)
* Thu Jan  2 1997 florian@suse.de
- update to 8.8.3 (due to a big security hole)
* Thu Jan  2 1997 florian@suse.de
- Update auf neue Version 8.8.2.
- Vorbereitung von mehr Konfigurationsmoeglichkeiten in rc.config.
* Thu Jan  2 1997 florian@suse.de
- added two small patches from Eric Allman(?)
* Thu Jan  2 1997 florian@suse.de
- update to newer version
* Thu Jan  2 1997 florian@suse.de
- added security fix
- use "FEATURE(nocanonify)" instead of editing the .cf file
